Skip to main content
PUT
Update Tool Credential

Description

Update an existing tool credential by its ID.

Endpoint

PUT /v3/tools/credentials/{credential_id}

Authentication

API Key (x-api-key) must be included in the header.

Path Parameters

  • credential_id (string) - The ID of the credential to update.

Request Body

A JSON object containing the updated credential data.

Response

A message confirming that the credential was updated.

Example Request


Authorizations

x-api-key
string
header
required

Path Parameters

credential_id
string
required

The ID of the credential to update.

Body

application/json

Updated credential data

name
string
Example:

"string"

credentials
object
meta_data
object

Response

Credential updated successfully

message
string
Example:

"Credential updated successfully."